{{page-title (capitalize (t "users"))}}

<div class="container-fluid mb-5">
  <div class="row">
    <div class="col">
      <h1 class="capitalize-first-letter">
        {{t "users"}}
      </h1>
      <p class="mb-5">
        <a href="{{this.csvLink}}" target="_blank">{{t "Download CSV file"}}</a>
      </p>

      <Filters::Search @class="ms-auto" @value={{this.search}} @onSearch={{this.performSearch}} />

      <table class="table table-hover">
        <thead>
          <tr>
            <th scope="col">{{capitalize (t "user name")}}</th>
            <th scope="col">{{capitalize (t "e-mail")}}</th>
            <th scope="col">{{capitalize (t "is activated")}}</th>
            <th scope="col">{{capitalize (t "last activity")}}</th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          {{#each @model.items as |item|}}
            <tr>
              <td scope="row">
                <LinkTo @route="browse.profiles.profile" @model={{item.id}} class="profile-name">
                  {{#if item.isAdmin}}
                    <FaIcon @icon="user-tie" />
                  {{/if}}

                  {{item.username}}
                </LinkTo>
              </td>
              <td>{{item.email}}</td>
              <td class="is-active">
                {{#if item.isActive}}
                  {{t "yes"}}
                {{else}}
                  <strong class="text-danger">{{t "no"}}</strong>
                {{/if}}
              </td>
              <td>
                {{#if item.dateLastActivity}}
                  {{format-date item.dateLastActivity}}
                  {{format-time item.dateLastActivity hour="numeric" second="numeric" minute="numeric" hour12=false}}
                {{else}}
                  {{t "never"}}
                {{/if}}
              </td>
              <td>
                <LinkTo @route="admin.users.edit" @model={{item.id}} class="btn btn-link">
                  <FaIcon @icon="pencil-alt" />
                  {{t "edit-label"}}
                </LinkTo>
              </td>
            </tr>
          {{/each}}
        </tbody>
      </table>

      <LazyListLoadMore @lazyList={{@model}} />
    </div>
  </div>
</div>